import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'operation_friend_request.g.dart';

@JsonSerializable()
class OperationFriendRequest extends AppBaseRequest {
  @JsonKey(name: 'id')
  int friendId;

  OperationFriendRequest(this.friendId);

  factory OperationFriendRequest.fromJson(Map<String, dynamic> json) =>
      _$OperationFriendRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$OperationFriendRequestToJson(this);
}
